Controladores de notificaciones
GET https://widgets.vekia.ar/api/notification-handlers/
curl --request GET \
--url 'https://widgets.vekia.ar/api/notification-handlers/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://widgets.vekia.ar/api/notification-handlers/' \
--header 'Authorization: Bearer {api_key}' \
| Parámetros | Detalles | Descripción |
|---|---|---|
| search | Opcional String | La cadena de búsqueda. |
| search_by | Opcional String | ¿En qué campo estás buscando? Los valores permitidos son: name. |
| is_enabled | Opcional Boolean | |
| type | Opcional String | ¿En qué campo estás buscando? Los valores permitidos son: webhook , slack , discord , telegram , microsoft_teams , internal_notification. |
| order_by | Opcional String | ¿Por qué campo ordenar los resultados? Los valores permitidos son: notification_handler_id , datetime , last_datetime , name. |
| order_type | Opcional String | Orden de los resultados. Los valores permitidos son: ASC para orden ascendente y DESC para orden descendente. |
| page | Opcional Integer | El número de página del que querés obtener los resultados. El valor predeterminado es 1. |
| results_per_page | Opcional Integer | Cuántos resultados querés por página. Los valores permitidos son: 10 , 25 , 50 , 100 , 250 , 500 , 1000. El valor predeterminado es 25. |
{
"data": [
{
"id": 1,
"type": "email",
"name": "Work email",
"settings": {
"email": "hey@example.com"
},
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-04-19 11:16:03",
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://widgets.vekia.ar/api/notification-handlers?page=1",
"last": "https://widgets.vekia.ar/api/notification-handlers?page=1",
"next": null,
"prev": null,
"self": "https://widgets.vekia.ar/api/notification-handlers?page=1"
}
}
GET https://widgets.vekia.ar/api/notification-handlers/{notification_handler_id}
curl --request GET \
--url 'https://widgets.vekia.ar/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://widgets.vekia.ar/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"type": "email",
"name": "Work email",
"settings": {
"email": "hey@example.com"
},
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-04-19 11:16:03",
}
}
POST https://widgets.vekia.ar/api/notification-handlers
| Parámetros | Detalles | Descripción |
|---|---|---|
| name | Requerido String | - |
| type | Requerido String | Valores permitidos: webhook , slack , discord , telegram , microsoft_teams , internal_notification |
| webhook | Opcional String | Disponible cuando: type = webhook URL del webhook |
| slack | Opcional String | Disponible cuando: type = slack URL del webhook de Slack |
| discord | Opcional String | Disponible cuando: type = discord URL del webhook de Discord |
| telegram | Opcional String | Disponible cuando: type = telegram Token de API de Telegram |
| telegram_chat_id | Opcional String | Disponible cuando: type = telegram ID del chat de Telegram |
| microsoft_teams | Opcional String | Disponible cuando: type = microsoft_teams URL del webhook de Microsoft Teams |
curl --request POST \
--url 'https://widgets.vekia.ar/api/notification-handlers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'type=email' \
--form 'email=hello@example.com' \
--url 'https://widgets.vekia.ar/api/notification-handlers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'type=email' \
--form 'email=hello@example.com' \
{
"data": {
"id": 1
}
}
POST https://widgets.vekia.ar/api/notification-handlers/{notification_handler_id}
| Parámetros | Detalles | Descripción |
|---|---|---|
| name | Opcional String | - |
| type | Opcional String | Valores permitidos: webhook , slack , discord , telegram , microsoft_teams , internal_notification |
| webhook | Opcional String | Disponible cuando: type = webhook URL del webhook |
| slack | Opcional String | Disponible cuando: type = slack URL del webhook de Slack |
| discord | Opcional String | Disponible cuando: type = discord URL del webhook de Discord |
| telegram | Opcional String | Disponible cuando: type = telegram Token de API de Telegram |
| telegram_chat_id | Opcional String | Disponible cuando: type = telegram ID del chat de Telegram |
| microsoft_teams | Opcional String | Disponible cuando: type = microsoft_teams URL del webhook de Microsoft Teams |
| is_enabled | Opcional Boolean | - |
curl --request POST \
--url 'https://widgets.vekia.ar/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example new name' \
--form 'is_enabled=1' \
--url 'https://widgets.vekia.ar/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example new name' \
--form 'is_enabled=1' \
{
"data": {
"id": 1
}
}
DELETE https://widgets.vekia.ar/api/notification-handlers/{notification_handler_id}
curl --request DELETE \
--url 'https://widgets.vekia.ar/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://widgets.vekia.ar/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \